package net.minecraft.server.level.progress;

import javax.annotation.Nullable;
import net.minecraft.world.level.chunk.ChunkStatus;
import net.minecraft.world.level.ChunkPos;

public interface ChunkProgressListener {
    void updateSpawnPos(final ChunkPos bjh);
    
    void onStatusChange(final ChunkPos bjh, @Nullable final ChunkStatus cae);
    
    void stop();
}
